#
# Copyright (c) 1987 Regents of the University of California.
# All rights reserved.
#
# Redistribution and use in source and binary forms are permitted
# provided that the above copyright notice and this paragraph are
# duplicated in all such forms and that any documentation,
# advertising materials, and other materials related to such
# distribution and use acknowledge that the software was developed
# by the University of California, Berkeley.  The name of the
# University may not be used to endorse or promote products derived
# from this software without specific prior written permission.
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#	@(#)Makefile	5.8 (Berkeley) 9/20/88
#
CFLAGS=-O
SRCS=	tftpd.c tftpsubs.c
OBJS=	tftpd.o tftpsubs.o
CC=	gcc

all: tftpd

tftpd: ${OBJS}
	${CC} -o $@ ${CFLAGS} ${OBJS} -linet

clean:
	rm -f ${OBJS} core tftpd

cleandir: clean
	rm -f tags .depend

depend: ${SRCS}
	mkdep ${CFLAGS} ${SRCS}

install:
	install -s -o root -g root -m 755 tftpd /usr/etc/inet/tftpd
	install -c -o root -g root -m 444 tftpd.8 /usr/man/man8

lint: ${SRCS}
	lint ${CFLAGS} ${SRCS}

tags: ${SRCS}
	ctags ${SRCS}
